unit fedemofrm;

interface

uses
  {$IFNDEF FPC}Windows, xpman, jpeg,{$ELSE}LResources, {$ENDIF}SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, fe_flashplayer, fe_layer, Buttons, ExtCtrls,
  StdCtrls;

type
  TfrmFEDemo = class(TForm)
    feFlashList1: TfeFlashList;
    Panel1: TPanel;
    SpeedButton1: TSpeedButton;
    OpenDialog1: TOpenDialog;
    Image1: TImage;
    feFlashPlayer1: TfeFlashPlayer;
    SpeedButton2: TSpeedButton;
    RadioGroup1: TRadioGroup;
    CheckBox1: TCheckBox;
    procedure SpeedButton1Click(Sender: TObject);
    procedure SpeedButton2Click(Sender: TObject);
    procedure RadioGroup1Click(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmFEDemo: TfrmFEDemo;

implementation

{$R *.dfm}

procedure TfrmFEDemo.SpeedButton1Click(Sender: TObject);
begin
  if OpenDialog1.Execute then
  begin
    feFlashPlayer1.Movie := OpenDialog1.FileName;
  end;
end;

procedure TfrmFEDemo.SpeedButton2Click(Sender: TObject);
var
  S: TStream;
begin
  if OpenDialog1.Execute then
  begin
    S := TFileStream.Create(OpenDialog1.FileName, fmOpenRead);
    feFlashPlayer1.LoadMovieFromStream(S);
    S.Free;
  end;
end;

procedure TfrmFEDemo.RadioGroup1Click(Sender: TObject);
begin
  if RadioGroup1.ItemIndex = 0 then
    feFlashPlayer1.Plugin := feActiveX
  else
    feFlashPlayer1.Plugin := feNetscape;
end;

procedure TfrmFEDemo.CheckBox1Click(Sender: TObject);
begin
  feFlashPlayer1.ShowUpdateRects := CheckBox1.Checked;
end;

end.
